% esercitazione ODE: ex2

% Risoluzione esercizio 2 ODE 
% sistema equazioni diff. di Volterra
% per lo studio della dinamica di due specie interagenti
% di volpi e conigli

% Modello evolutivo in file fox_rabbit.m
% Jacobiano del sistema fox_rabbit in file jacf_fr.m (per eul_imp.m)

% valori iniziali: (I) r0=2 e f0=3
clear all
close all


%Risoluzione con Eulero esplicito
[t, y] = eul_esp(@fox_rabbit,[0,20],[2 3]',0.01);
numeropassiEE=length(t)
figure(1);
plot(t,y)

figure(2);
plot(y(:,1),y(:,2))
pause
%Risoluzione con Eulero implicito
[t, y] = eul_imp(@fox_rabbit,@jacf_fr,[0,20],[2 3]',0.01);
figure(3);
plot(t,y)

figure(4);
plot(y(:,1),y(:,2))

pause

%% Risoluzione con ode45() built in function di Matlab
[t, y] = ode45(@fox_rabbit, [0 20], [2 3]');
numeropassiode45=length(t)
pause
figure(5);
plot(t,y)

figure(6);
plot(y(:,1),y(:,2))

%Risoluzione con Heun
[t, y] = heun(@fox_rabbit, [0 20], [2 3]',0.001);
figure(7);
plot(t,y)

figure(8);
plot(y(:,1),y(:,2))


% rieseguire poi lo script cambiando i valori iniziali in
% (II) r0=300 e f0=150, 			(III) r0=15 e f0=22. 