% ex6
[t,y] = ode45(@fex6,[0 12],1);
length(t)

yy = dsolve('Dy = y-3*exp(-2*t)','y(0)=1')

% grafico soluzione
hold on
y_ex = exp(-2*t);
plot(t,y,'*k',t,y_ex,'r')


% Diminuire la tolleranza d'errore e risolvere nuovamente 
opts = odeset('RelTol',1e-6);
[t,y] = ode45(@fex6,[0 12],1,opts);

figure
% grafico soluzione
hold on
y_ex = exp(-2*t);
plot(t,y,'*k',t,y_ex,'r')
length(t)